commit d26cf9f7c2f32c7c888aa8322f2d7da544c9debe
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jan 24 17:56:29 2013 +0200

    bumped version number to 1.23

commit 852632efc7022cdf26c77371e687461e86e7f7ec
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jan 24 17:50:19 2013 +0200

    updated ChangeLog

commit d2392f2178c84035f9168e1cd3ce56bbf37b82aa
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jan 24 17:49:53 2013 +0200

    indirect version number outsmarts PAUSE

commit 64a9105679c7194b49524d7aafddc7609691f2cd
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jan 24 17:35:36 2013 +0200

    updated ChangeLog

commit 7aafc768315aacf20e679e0a188f1add3154fcd8
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jan 24 17:35:17 2013 +0200

    updated release date for 1.22 in NEWS

commit f92843cbd45b8a5597398fa9b9b362ee223baec9
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jan 24 17:34:25 2013 +0200

    updated ChangeLog

commit 858750985fee23badf35fc0484e190b7a323e552
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jan 24 17:33:52 2013 +0200

    use LC_ALL instead of LANG in test
    
    LC_ALL was set before and it has precedence over lang.

commit 2754ea936d3cb144976ad5e9e7e4e13bfc383f4a
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jan 23 19:00:21 2013 +0200

    Locale::gettext_pp needs File::Spec

commit 3d4f31c1db2fece1c3e81ccdb0d298dafe4c41cc
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jan 23 18:08:18 2013 +0200

    updated THANKS

commit f7eda6a60fcd80a78dd02a5956a02101f56c62be
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jan 23 18:02:47 2013 +0200

    made tests match PO files

commit fb48568c2744a7a0ce607b344e9f9cb8ce6c78c6
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jan 23 17:46:21 2013 +0200

    bumped version number to 1.22

commit 82eae3716ee218eb9820e90facd8a9b588d5cbb1
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jan 23 17:46:08 2013 +0200

    remove generated files from scm

commit 6b32e628d4cc69bb87cd2b95cd3c6a2fc70e7ad5
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jan 23 17:45:39 2013 +0200

    updated MANIFEST

commit 5f038a1b98feef745eed543eec66bcd557a09933
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jan 23 17:45:20 2013 +0200

    updated NEWS

commit b2d189b5612aacf426b2ee79e704d5aefafe22aa
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jan 23 17:45:08 2013 +0200

    additional PO data for testing

commit fc13f51b8e4615af3e8fd179caace3aad3fc7994
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jan 23 17:18:39 2013 +0200

    better explanation for Locale::gettext_dumb(3pm)

commit 38bded7c8702f2615b40a5ec637c97b7544709d6
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jan 23 16:16:57 2013 +0200

    more tests for locale-unaware backend

commit 2721e02e973c1b4a4e4e505ffa2c843fae3c7553
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jan 23 15:56:15 2013 +0200

    do not clobber $ENV{LC_ALL}

commit b81bf45303ad6d60417ea4028f3d78cc2adba793
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jan 22 19:20:50 2013 +0200

    honor LC_MESSAGES in locale-unaware implementation

commit 105a728270a762f1778e49e4c4a6f69c454fdf32
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jan 22 19:16:48 2013 +0200

    test for locale-unaware textdomain()

commit 8e2f18eb7611dc5e096b274fc67467cd0daef167
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jan 22 19:15:16 2013 +0200

    make do without new envariable
    
    Rather export the catalog loader at some time.

commit e590687d7f9d12b75b63d95afa5f340c8c08aa8f
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jan 22 19:08:51 2013 +0200

    use MSGPATH instead of MESSAGE_CATALOGS in wrapper

commit 5ab8ab07510f8e3bc60f5f88209f21cb05cb4b7c
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jan 22 19:05:32 2013 +0200

    use MSGPATH in test instead of MESSAGE_CATALOGS
    
    Instead of a list of mo files we rather take a traditional search path
    approach.  Otherwise, the current textdomain would be completely ignored
    and the locale-unaware interface would be too different from the
    locale-aware.
    
    This commit only contains the test, not the implementation!

commit 25c8d0a19814451005c1366cf7377a9abf591750
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jan 22 18:57:34 2013 +0200

    test precedence of catalog paths

commit 458565752b0ad0c5288b7d0a5d22c6bfdbb21f18
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jan 22 18:54:45 2013 +0200

    locale-unaware implementation of dcnpgettext()

commit bc8223dd196874ef96e35813117c49e03538aea2
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jan 22 18:12:02 2013 +0200

    insert a wrapper around dcnpgettext()

commit bf1dd581a2d9fca42be6bc6434b4b9f371afbf2e
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jan 22 18:07:15 2013 +0200

    replaced tabs by spaces

commit dcf755109f7376bff0c86b261ff08a0ec1432b3a
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jan 22 18:01:27 2013 +0200

    simplified Locale::gettext_pp::__load_domain()

commit 00160cef94b6f22d7dee787f50c13b45351b6060
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jan 22 17:56:45 2013 +0200

    more abstractions for Locale::gettext_pp

commit 8175b2423dce3cc0bcfa8b785214263d7dde2c61
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jan 22 17:46:02 2013 +0200

    restructured Locale::gettext_pp a little
    
    So that we can later hook better with our dumb implementation.

commit d65abb71797eadc10523df7d17ef93412a48effb
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jan 22 17:37:08 2013 +0200

    Locale::gettext_dump needs its own wrappers
    
    Otherwise we cannot enforce that the central entry point dcnpgettext()
    will be called in our own package.

commit 6a4f29be97e7776ee02153dc24efb3acb8fe55b3
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jan 22 16:58:18 2013 +0200

    abstract Locale::Messages to support more backends

commit 5759332780f997edb862bce0940c420e28be8c97
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jan 22 16:20:16 2013 +0200

    override textdomain functions in gettext_dumb

commit 10cf1f896ddd3456588b938f8c51c33ad509b9ed
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jan 22 15:43:54 2013 +0200

    dumb backend for message retrieval

commit 841e441974660f898d99b4608d0b36ed75997edd
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jan 17 12:26:27 2013 +0200

    0xbeefbabe is not a valid unicode code point

commit b69e9b27f57f2c1d075361c1b2e80bbab0e5aa73
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jan 17 12:25:29 2013 +0200

    do not run gettext tests without locale de_AT

commit 165511ac11d187a78750272ba6cb81c325472c99
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jan 16 02:11:57 2013 +0200

    git uses libintl-perl

commit 3a5578ff47eef257840ee505576ecf7715b0ff08
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jan 16 02:11:43 2013 +0200

    updated NEWS

commit 533f50f54bbb3b43ae9f595c12e9d3fcd7a2c3ee
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jan 15 14:40:43 2013 +0200

    updated ChangeLog

commit e04511866be52da18ee848da933a16ab130a9837
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jan 15 14:29:51 2013 +0200

    distcheck tweaks

commit da50f196b5879cd4ac4903b11f265db1854de441
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jan 15 14:18:01 2013 +0200

    simplified XS version check

commit eb759fbf7b7a39fae79ec3a6517e60e023b024a8
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jan 15 14:08:59 2013 +0200

    updated README for sample application

commit a1fb194032e27dc375b3b38f772d7e37d8407274
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jan 15 14:06:19 2013 +0200

    standardization tweaks

commit 763af3c2c564db536dea59a5ced9eaaf097c74eb
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jan 14 18:55:32 2013 +0200

    bumped version number to 1.21

commit 92870f0ebd32021d9d8fab91c0bc27720c383d7f
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jan 14 18:51:05 2013 +0200

    updated copyright date

commit 628d8a1ae8b2781b37d41aea648026b40be4a04e
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jan 14 18:48:48 2013 +0200

    added czech mo file for sample app

commit 0490ae65a13fa7630f334efc536a562e12109d94
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jan 14 18:41:30 2013 +0200

    updated MANIFEST

commit 7be831bfbd4b6a5d765050fe8de2404e1603505a
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jan 14 18:37:45 2013 +0200

    updated NEWS

commit acbdb411589c69c52cfb9958dcf6d9f4d0a2dd64
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jan 14 18:14:36 2013 +0200

    use POTFILES, not POTFILES.in

commit 8cf18b092b15955db8058d4797693d7391d15eef
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jan 11 18:52:36 2013 +0200

    corrected hints for l10n

commit 7dbb97c013bc2de966648352bf51b72fffc488a9
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jan 11 18:47:48 2013 +0200

    correct behavior for LANG(UAGE)
    
    The environment variables LANGUAGE or LANG are now ignored, when neither
    LC_ALL nor LC_MESSAGES are set to a valid locale (not C or POSIX). This fixes
    https://rt.cpan.org/Public/Bug/Display.html?id=81315

commit 2e0519455756fad31676611c1227326e48aabef7
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jan 11 17:58:32 2013 +0200

    updated MANIFEST

commit a603074a18a4b4f0be887f3c2c0502a71c7aca7e
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jan 11 17:58:23 2013 +0200

    updated ReleaseNotes

commit b59f0cdc125d5702259e5fa516a94f8c042ba28c
Author: Jan Tomášek <jan@tomasek.cz>
Date:   Fri Jan 11 17:55:30 2013 +0200

    czech translations for simplecal

commit 8699b710274c60f4c840c1f5e4487502f6fca5c3
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jan 11 17:54:07 2013 +0200

    tests for handling of LANGUAGE
    
    See https://rt.cpan.org/Public/Bug/Display.html?id=81315

commit 4df5fc79c237a71646e235d73f9b9b65f2ba0d38
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jan 11 17:28:28 2013 +0200

    check that LANG works

commit 6c0832236f763eb7e80316695ec3472965984da7
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jan 11 14:18:58 2013 +0200

    clean test environment first

commit 6142deaa316177fd92c84e0f4533ea78e67397b6
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jan 10 18:16:40 2013 +0200

    test xs version for $ENV{LANGUAGE}
    
    Additionally, according to the GNU gettet documentation, see
    http://www.gnu.org/software/gettext/manual/html_node/The-LANGUAGE-variable.html
    one of the LC_ envariables must be set to a valid locale in order to
    have the envariable LANGUAGE be interpreted.

commit c1db0b6d53927ebc603cc1d924b383064efb5787
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jan 10 17:32:48 2013 +0200

    typo

commit 34b334a0ce5d1b15211142bab46b0f0c3a564297
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jan 10 16:50:52 2013 +0200

    temporarily removed checks for newlocale
    
    Will be re-added after the next release.

commit 93212879b7dca042b1990e83b0ea3e9f225723d3
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jan 10 16:36:55 2013 +0200

    temporarily removed premature code for release

commit 7fcb233dd0dc3ed0cf910f23713c6181c52d45ee
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jan 10 15:25:34 2013 +0200

    basic test for Locale::Type

commit f6346a154c56a88f565eff36d4ac65f31bd9e2cf
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Oct 4 11:20:05 2012 +0300

    Updated POD to reflect latest changes

commit 6b09f16fa9dbce394bfd9ae1e8a9d3595821e46b
Author: David E. Wheeler <david@justatheory.com>
Date:   Thu Oct 4 11:11:41 2012 +0300

    Search both "locale" and "LocaleData"

commit d29291522d0274457ef5add90b6d6e3f3a8a6375
Author: David E. Wheeler <david@justatheory.com>
Date:   Tue Sep 11 10:01:00 2012 -0700

    Add resources to META.* files.

commit eff5eed70d503595cd250af30be7cf45e06dcffc
Author: David E. Wheeler <david@justatheory.com>
Date:   Tue Sep 11 09:20:22 2012 -0700

    Search File::ShareDir, if available, for LocaleData.
    
    This is the most recent Perl-specific shared file location, with support built
    into the standard installer tools. So it makes sense to use it here, if it's
    available.

commit 996aa392bb774ee6628f9fe8b034532420f5ceee
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jul 16 12:06:50 2012 +0300

    Corrections for language to country mapping
    
    - added Estonian
    - fixed entry for Spanish
    - added Greek
    - fixed entry for Slovenian
    
    Thanks to Ian McEwan (http://ianmcorvidae.net/) for the bug report.
    
    This commit fixes https://rt.cpan.org/Public/Bug/Display.html?id=78341

commit 227729165fe63201c4144898784cbecec0dd6e2a
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jan 11 19:40:12 2012 +0200

    Made plural regex more robust
    
    This fixes the long-standing bug
    https://rt.cpan.org/Ticket/Display.html?id=49744

commit 9abd7bd5bbb7896b12058712eec25f51249a3b56
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Dec 16 19:07:20 2011 +0200

    Implementation for LC_GLOBAL_LOCALE

commit e1a2f99eb36b15a8e7bbaceda5fe971abb185df6
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Dec 16 19:01:37 2011 +0200

    Test for LC_GLOBAL_LOCALE

commit 51dbbd27824df2cbf50b90c125c676ca8cf35def
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Dec 16 18:55:49 2011 +0200

    Updated documentation
    
    We will not implement freelocale() and hide that function from the
    Perl user.  Instead, the use counting is done internally and objects
    will be freed as needed.

commit f5240ae83c62d6751785be9e5e092aa1352a5fdb
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Dec 13 18:58:10 2011 +0200

    Work in progress
    
    Documentation for xlocale.

commit dd7ca88384bd30db7951e5b5e85f37d1cf98463b
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Dec 13 17:38:17 2011 +0200

    Check for xlocale API

commit 3b76d4298c6c287c86eb4c37b05064c69168f12a
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jun 28 12:32:11 2011 +0300

    Only search existing directories.

commit 8fb2dce6109ed180907cad413cea29d6a361e769
Author: Perlover <perlover@perlover.com>
Date:   Wed Mar 9 18:16:55 2011 +0200

    Assume Spain as default country for Spanish.

commit f6c906219ba4eeb26e0d9ba7dcc6185dee1248ec
Author: Иван Бессарабов via RT <BESSARABV@cpan.org>
Date:   Mon Jan 3 18:11:29 2011 +0100

    Fixed format for printf positional parameters in POD example.

commit 1970eef8439cf3da8159c1604ef5c183a5c184c2
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Feb 1 14:03:40 2010 +0100

    Do not use a NULL pointer for the domain parameter of bindtextdomain().

commit 4442578dd08291076a67e3fe634acfed8fe600ef
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Sep 18 14:59:35 2009 +0300

    Removed $Id$ expansion.

commit d34297d4fdfc3f3e49150b89ea32f9537d88204b
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jun 29 15:51:28 2009 +0300

    Updated.

commit 202467a610f945fde1c920f58e108cfc56485a3b
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jun 29 15:18:14 2009 +0300

    News for 1.20.

commit 40ad47329f923e552baa8304e256d8ed4c7bbbd0
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jun 29 15:17:55 2009 +0300

    Copied from THANKS and NEWS.

commit e976259bf0c356e7a73c880845ea9209adf69555
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jun 29 15:17:10 2009 +0300

    David Cantrell was very helpful finding the reason for a nasty test
    failure.

commit 8a99207fa9cc26a0cec607d80cde273ac29ca306
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jun 29 14:56:33 2009 +0300

    Do not run XS tests for systems without a German locale.  That should
    be more flexible, but in fact, most bugs in the XS version can only
    be worked around, not fixed.  Therefore it is not that important.

commit 0c10d64bf490bbf1bfc51238f7efdb336f271a70
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jun 29 14:54:39 2009 +0300

    Ignore more files.

commit f5648fb0ff0f3d816a8bce66b6d305acf9d62092
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jun 29 14:53:45 2009 +0300

    ChangeLog generation no longer done with cvs2cl.  Until something decent
    pops up, I will use the gitlog2changelog script from
    http://github.com/cryos/avogadro/blob/master/scripts/gitlog2changelog.py.

commit 8f22c12d1e4c63bed120bcfd9ee7272ca5e1007c
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jun 24 20:12:55 2009 +0300

    Try to get a little bit mroe information about the strange failure of
    the new context functions.

commit 77b84e909154a1ed19282b853af14420204608a8
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jun 24 19:43:54 2009 +0300

    - do not skip that many tests
    - use two-argument version of Test::ok() and Test::skip()
    - correct order of expected and actual value

commit 32b1cba9ac20d2598d2979ca76f35d63ced322c7
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jun 24 17:49:16 2009 +0300

    - Do not skip that many tests.
    - Use two argument form of Test::ok().

commit 370fd8e2e47dedc42fbd8501a91f0b9a6b15ad4d
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jun 24 17:44:22 2009 +0300

    Fixed number of tests.

commit ad4d7b0cfb2215a5dbcd8ab3e037cb165b52f6bf
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jun 24 17:43:36 2009 +0300

    Better structure for test results.

commit 5df3672dd5b7440db2ad6e44e04a639f2b22004c
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jun 24 17:39:37 2009 +0300

    Use two argument form of Test::ok().

commit 457c933dca5b13a551c566ebe72a81f92157b8fe
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jun 24 17:36:50 2009 +0300

    - do not skip that many tests
    - use two argument form of Test::ok()

commit 09fabdd5c1b86bbf497bfa1c4073196e4a96c1ab
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jun 24 17:36:19 2009 +0300

    Copied from pure Perl version.

commit 6ce629c1b6579ebfab6ffb9301ec02d1d2d27bd9
Author: root <root@perl64-dev.imperia.net>
Date:   Wed Jun 24 12:52:56 2009 +0200

    Fixed warning about undefined values in subroutine entry if locale de_AT
    is not installed on the system that runs the test.

commit 28e388d7662541b36389d964faebd2bc1f854153
Author: root <root@perl64-dev.imperia.net>
Date:   Wed Jun 24 12:29:19 2009 +0200

    $Config{libs} may include too many libraries (fixes compile problems on
    broken Debian systems).

commit 4bab1f383f3b7450807172540c5ce2f10d528c38
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jun 23 09:49:18 2009 +0300

    Version number increased to 1.20.

commit ecff79f368d5e50925044a2448123fc9a2a4190d
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jun 23 09:48:14 2009 +0300

    Undone premature commit.

commit 3ad1c085e4008e6328f8489b580128474d7ca820
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jun 19 11:38:14 2009 +0300

    Re-generated.

commit 153fb0c9d9b07cd85ad0c1fdf3da6419f563620b
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jun 19 11:37:30 2009 +0300

    Version number 1.19.

commit 768a15d745cb16f9f02c105aa6c4a9dff7ebf06f
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jun 19 11:36:31 2009 +0300

    Re-generated.

commit ed55289f026c0121eecbd31abab600fb33f46c64
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jun 19 11:34:39 2009 +0300

    Id expansion.

commit fca054f00ecd2112b91f858f5499a05b05b9350a
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jun 19 11:33:20 2009 +0300

    Id expansion.

commit 75c63fbf4ab5325ff7201ae71dfd4104699e5465
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jun 19 11:32:33 2009 +0300

    Git files.

commit faaaaf858eae044e74e4ea211c65c9397704a741
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jun 19 11:31:30 2009 +0300

    Id expansion.

commit 5b87bfa024a5ec75f8baa75e620154ca7bf2b2c1
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jun 19 11:30:42 2009 +0300

    Id expansion.

commit fce083a2c718817f74699327b121a902d5998007
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jun 19 11:29:41 2009 +0300

    Updated.

commit 4c94e9591502b9493193133178e65d632f2138dd
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jun 19 11:09:48 2009 +0300

    LC_MESSAGES is not defined by POSIX.pm.

commit 0ccefe179b97acfe24fba3ebaadb1c24afcfaabb
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jun 15 10:44:53 2009 +0300

    Fixed RT bug #46471, noop functions in scalar context.

commit 6e1c47cbb74c2f906f0321aa5cfec469f495d223
Author: Guido Flohr <guido@imperia.net>
Date:   Sun Jun 14 22:25:00 2009 +0300

    Id expansion.

commit badeadfb090fc425997de533147a02aeb37bb21a
Author: Guido Flohr <guido@imperia.net>
Date:   Sat Jun 13 10:55:11 2009 +0300

    Id expanded.

commit 38548adca2ffbea4921ea4a1181ffb548d05f538
Author: Guido Flohr <guido@imperia.net>
Date:   Sat Jun 13 10:52:54 2009 +0300

    Expand Id tags.

commit d450757330dabd3a8754a92adcec1b6b2e203cb9
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jun 12 20:58:02 2009 +0300

    Point to libintl-perl homepage.

commit 5d6bbb6c5783ba0c72a56b55072a9aa370210b8e
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jun 12 20:38:38 2009 +0300

    Ignore files

commit 7cbaf397fe95d982bc7dcae3ae3ee7587e7d45d0
Author: Guido Flohr <guido@imperia.net>
Date:   Fri May 29 08:44:08 2009 +0000

    Explanation for the __'Hello' problem.

commit f0aa3c4ef3482a2906fbbbc2a03fdeaa57cf2c17
Author: Guido Flohr <guido@imperia.net>
Date:   Wed May 27 05:13:28 2009 +0000

    Bumped version number to 1.19.

commit 2187501c12b3ab2cbbd6ce15884e8535a26f976c
Author: Guido Flohr <guido@imperia.net>
Date:   Wed May 27 05:13:15 2009 +0000

    Fixed extraction of context (thanks to Kevin Ryde).

commit ba3b2440f19bcfaefaf40768c34258e2486ce0d2
Author: Guido Flohr <guido@imperia.net>
Date:   Tue May 26 11:23:05 2009 +0000

    Added IWL.

commit edf87c6177494d7d565c2c1fd24828a3bf764b8f
Author: Guido Flohr <guido@imperia.net>
Date:   Tue May 26 09:38:17 2009 +0000

    Re-generated.

commit 6d8c74e7c354bbe6f93547b659934ecb05cfc535
Author: Guido Flohr <guido@imperia.net>
Date:   Tue May 26 09:37:55 2009 +0000

    Updated.

commit 948d32ef8183d419ee69edf95429d764a3a84073
Author: Guido Flohr <guido@imperia.net>
Date:   Tue May 26 09:37:43 2009 +0000

    Bumped version number to 1.18.

commit 9a575f8df218666afcf44e53a358d5c88094a6dd
Author: Guido Flohr <guido@imperia.net>
Date:   Tue May 26 09:20:26 2009 +0000

    Re-generated.

commit a8eef67eace6c815c1ab51d2d58762b7a6351b75
Author: Guido Flohr <guido@imperia.net>
Date:   Tue May 26 09:20:02 2009 +0000

    Updated.

commit fee27518431d803776ce3ed4632b58da0358f7a2
Author: Guido Flohr <guido@imperia.net>
Date:   Tue May 26 09:16:02 2009 +0000

    Make PAUSE happy and leave the version number here.

commit 6bfaba08b106819988ed6b26022399ecaf68b577
Author: Guido Flohr <guido@imperia.net>
Date:   Mon May 25 15:03:27 2009 +0000

    Re-generated.

commit ac391c36e481b107745e7889c91383749d222259
Author: Guido Flohr <guido@imperia.net>
Date:   Mon May 25 15:03:02 2009 +0000

    Added search.cpan.org aliases for well-known GNU standards files.

commit 4100318a1c8d82b9a709bee2de0cc3088f7438da
Author: Guido Flohr <guido@imperia.net>
Date:   Mon May 25 15:02:23 2009 +0000

    Create search.cpan.org aliases for well-known GNU standards files.

commit 86d66ca65c37a1ba16e7f42fbb6249d8f76b19b3
Author: Guido Flohr <guido@imperia.net>
Date:   Mon May 25 14:59:50 2009 +0000

    Aliases for GNU standards files.

commit 41bc5f6e7a8516b533d7b7ec2079c3359bb1beb2
Author: Guido Flohr <guido@imperia.net>
Date:   Mon May 25 14:55:58 2009 +0000

    Updated.

commit a6bd9bd6c2ccd6003af3f178dd29d484baf6eb32
Author: Guido Flohr <guido@imperia.net>
Date:   Mon May 25 14:54:37 2009 +0000

    Report version of Encode.pm (culprit in most failures).

commit 1726a3afc554a3559d8c9646b2e3fc039b585a40
Author: Guido Flohr <guido@imperia.net>
Date:   Mon May 25 14:51:32 2009 +0000

    Macintosh encoding in Encode.pm is seemingly unstable.

commit e10e0aeed4939e445cb417cce12fb0dc9a39a753
Author: Guido Flohr <guido@imperia.net>
Date:   Mon May 25 14:33:29 2009 +0000

    LGPL 3?

commit bf1b13056cb96bf65903ada6cc4ac991ae77e69f
Author: Guido Flohr <guido@imperia.net>
Date:   Mon May 25 14:29:08 2009 +0000

    Changed copyright date.

commit 466dc354d2061cf9ce8e1c2cc4c923624f6bd0f2
Author: Guido Flohr <guido@imperia.net>
Date:   Mon May 25 14:28:19 2009 +0000

    - Added N__p().
    - Added N__np().
    - Removed N__xpn().

commit 1ace1ec34ef24e2d66127d8238ba946f17a6086b
Author: Guido Flohr <guido@imperia.net>
Date:   Mon May 25 14:22:27 2009 +0000

    Added alpha notice to Locale::Util.

commit 269779d48fce1551fe73b2f49b605b16d65976c1
Author: Guido Flohr <guido@imperia.net>
Date:   Mon May 25 14:21:51 2009 +0000

    Also include contextual strings.

commit c23f57b47e0fad076c73f05c1ff5fd16f803813d
Author: Guido Flohr <guido@imperia.net>
Date:   Mon May 25 14:12:09 2009 +0000

    First release for new functions.

commit 6a6733cf51261a885f573f0a69c32ba66658a358
Author: Guido Flohr <guido@imperia.net>
Date:   Mon May 25 14:09:17 2009 +0000

    Added first release for new functions.

commit 1511b8ca2fefc8cb0d5ff77987d044e53fd1ad83
Author: Guido Flohr <guido@imperia.net>
Date:   Mon May 25 14:08:20 2009 +0000

    Added alpha notice.

commit 1f3e7d99f61a01e5c1a2ea767e4614171f648eca
Author: Guido Flohr <guido@imperia.net>
Date:   Mon May 25 14:07:41 2009 +0000

    Added alpha notice.

commit 704058c5e7b6dbe6d3f614f30a2b4e7c2591d808
Author: Guido Flohr <guido@imperia.net>
Date:   Mon May 25 14:07:16 2009 +0000

    Added cover_db.

commit 7d15c54561da67283721dfcd281eacd6e0c7daec
Author: Guido Flohr <guido@imperia.net>
Date:   Mon May 25 13:51:53 2009 +0000

    Spelling.

commit f007d7a7587567bacda4bed8b0c5054d2c17bcc5
Author: Guido Flohr <guido@imperia.net>
Date:   Mon May 25 13:50:37 2009 +0000

    Kudos to Joshua for the context functions.

commit 80c3820c24ee28282815d53063ca4d2e5a9108fb
Author: Guido Flohr <guido@imperia.net>
Date:   Mon May 25 13:48:41 2009 +0000

    Context example.

commit 817636a84f60080f8352a9b52cc2689291fc85e7
Author: Guido Flohr <guido@imperia.net>
Date:   Mon May 25 13:46:04 2009 +0000

    More context examples.

commit cf0054e50cd65687455755dd722fd8facb0455d8
Author: Guido Flohr <guido@imperia.net>
Date:   Mon May 25 13:36:30 2009 +0000

    Avoid n't.

commit 1a799324077e0c4ef08f5d60b187cd22b9b06c55
Author: Guido Flohr <guido@imperia.net>
Date:   Mon May 25 13:22:31 2009 +0000

    Switch language for server applications.

commit 1433b538a8509adeb7a73bd11b9416816501dcbd
Author: Guido Flohr <guido@imperia.net>
Date:   Mon May 25 13:21:27 2009 +0000

    Made code parsing the plural formula more robust.

commit 7c773a522f7e831eab4e21edc2883245f01d9dc8
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Nov 19 19:25:15 2008 +0000

    Fixed German translations.

commit e4416eb0c79427d0a399b67dfda9632059cee202
Author: Joshua Miller <unrtst@cpan.com>
Date:   Wed Nov 19 18:55:51 2008 +0000

    Completed support for contextual gettext calls.

commit 4c0334cf7514693c07df3463737e93386e6ea87a
Author: Joshua Miller <unrtst@cpan.com>
Date:   Wed Nov 19 18:55:21 2008 +0000

    pgettext, dpgettext, dcpgettext, npgettext, dnpgettext, dcnpgettext,

commit d88bd08e8fbd4a4879a832ae0e220ad64e279c28
Author: Joshua Miller <unrtst@cpan.com>
Date:   Wed Nov 19 18:15:37 2008 +0000

    Updated with info for unrtst/Joshua Miller

commit 81523d440cc7e04277c0886b101d27adeaccdd04
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jul 18 13:03:37 2008 +0000

    select_package() is not a class method (reported by Sergei Vishenski).

commit 9943078cf431beacbd6c7008db3bd69de8aa1474
Author: Guido Flohr <guido@imperia.net>
Date:   Wed May 28 12:41:17 2008 +0000

    We need both libraries, not just one of them.

commit e8e3707f60ce7d2df4680eb0644fd94b4dcc2cdd
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jul 3 08:15:45 2007 +0000

    Corrected POD.

commit 126a849722d743709c393badde6df28129d24348
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Mar 26 17:18:29 2007 +0000

    Don't forget to actually set the cached locale.

commit f4f78e8c83f6b8e7995916700659c93e6267f1f5
Author: Guido Flohr <guido@imperia.net>
Date:   Sun Feb 11 16:49:45 2007 +0000

    Filter out un-available languages.

commit 939e059af2fc8547dbfd808356a0cc68b7ccaab0
Author: Guido Flohr <guido@imperia.net>
Date:   Sun Feb 11 16:05:25 2007 +0000

    Fixed POD error.

commit d23f50e3d767df21a94989cb60d3c899b5b59f0e
Author: Guido Flohr <guido@imperia.net>
Date:   Sun Feb 11 11:53:59 2007 +0000

    Restrict set of acceptable languages.

commit 20b18aa9cdf756fbc360e0335c55c26a6c7c2920
Author: Guido Flohr <guido@imperia.net>
Date:   Sun Feb 11 11:18:24 2007 +0000

    Removed erroneous source.

commit ce3f99c7f5148a65b6c2543c3ff45ede3129a972
Author: Guido Flohr <guido@imperia.net>
Date:   Sun Feb 11 11:17:43 2007 +0000

    Updated default countries for languages.

commit b925b093b27d94bca0b0f540264dd40633af016c
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Feb 8 09:07:00 2007 +0000

    Fixed warnings about undefined values.

commit 831f0176dc7ee03d19a995b65e004b8e70afd4cd
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Feb 7 15:40:41 2007 +0000

    Aliased loop variable was constant and read-online.

commit f3b5053efdc9b9e96da223e827cd2660dce5a3c0
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Feb 7 15:26:28 2007 +0000

    Extended search for correct locale required by FreeBSD.

commit f0274d300da5b6d65fdc7a2a1a19fa8b8f3c3d1c
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Feb 7 09:48:41 2007 +0000

    Return information about actually selected locale in set_web_locale().

commit 3d6cc08a80c73d9bff09cbd0908f07f18d6fc2eb
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Feb 6 21:56:02 2007 +0000

    Strip leading and trailing whitespace on TEXTDOMAIN variable.

commit 6fa39e7bb249b6504d2309dee4fddfd27c27caa0
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Feb 6 21:36:10 2007 +0000

    New file.

commit ccb33a20e1636ab23c5eae3ab1701fcd875342b6
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Feb 6 21:35:29 2007 +0000

    Remove build_xs in target "clean".

commit 67849b5b7ee817b3718c3e71a2c83a8451055580
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Feb 6 21:34:25 2007 +0000

    updated

commit 2c4297d77e8cb0611a41411407bc44530dfcbf21
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Feb 6 21:33:27 2007 +0000

    New function set_web_locale().

commit 03bef854c000faa7c3c3d2436b1d12b16272028e
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Feb 6 20:06:46 2007 +0000

    Use Locale::Util::set_locale() for more portable locale setting.

commit 78ce31af69f058979b0deb82564e367041f58b24
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Feb 6 18:43:39 2007 +0000

    - avoid warnings
    - turned off debugging
    - clean-up

commit 5a1726cfc4b8317576f019d740f1d307e4c8b142
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Feb 6 16:46:17 2007 +0000

    docs

commit 5e446a3d0cefcb9e2a6a702e731c0269a844c313
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Feb 6 16:44:43 2007 +0000

    - access to the locale cache
    - updated docs

commit 5e6093544cecad3d02aca69200bdfbbc43904b04
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Feb 6 16:14:45 2007 +0000

    Support for MS-DOS

commit a98324ae994e478d4a41062791f6f5d6639aaf19
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Feb 6 13:41:26 2007 +0000

    half-implemented Windows version

commit b1673b78f51cc54cb0268109dac982260fba4a98
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Feb 6 13:21:44 2007 +0000

    safe locale setting for Unix

commit 3856ec2d9753c5b1211c991e1b625c0e00ec69b2
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Feb 6 10:55:44 2007 +0000

    new

commit 51f390f192f0771bd2a45cfd7bdf8e586b4374e1
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Feb 6 10:45:49 2007 +0000

    work in progress

commit d9b3d08b35c901d76ccd84bba959463b7c740256
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Feb 6 10:45:06 2007 +0000

    new

commit 7616726fe427dd273c2611b0230d1feb788ece28
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Feb 5 10:38:41 2007 +0000

    Hint to avoid trailing space

commit dc21877a731e2d278534db19555e01df7b1ade6b
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Feb 5 09:45:51 2007 +0000

    interpolate filename and linenumber

commit 4d80c14b9d1fecdfd4a91cd4636195411102c9fb
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Feb 2 15:13:07 2007 +0000

    avoid warning if textdomain is undef

commit f393d961f9fca199285ad72ff16e7b12e32712d9
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Feb 2 15:12:28 2007 +0000

    Try to detect incorrect usage of the tied gettext hash.

commit 4a9f1abd593efe70c923ef698b83e12ff57f32fd
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jan 24 13:45:44 2007 +0000

    always make a copy of the list of search directories

commit 9c34ef40c4dc81a3360505a3905615933d953f63
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jan 24 11:51:41 2007 +0000

    podified FAQ

commit e5a3074c39a29b93ab169614aeec9227e63c9352
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jan 24 11:51:00 2007 +0000

    cvs2cl now expected in $PATH.

commit 92033336f9e4e845ee72e079f99e0d293c9a5d58
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jan 24 11:25:46 2007 +0000

    podify FAQ

commit 505f752e8e3b54a721bafb915f75eaebc3206cf0
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jan 24 11:10:24 2007 +0000

    Updated copyright date

commit caca17b9cfb98130bc5b94c4e184fba15202acb8
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jan 24 11:06:56 2007 +0000

    changed name of license file to COPYING.LESSER

commit fe298aa7d8b5647344f52f9106c17f50d10c2cf0
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jan 24 11:05:32 2007 +0000

    updated

commit e0705b495f261ba02c5bc663da869118e6ff882e
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jan 24 11:03:55 2007 +0000

    Skip test if require Austrian locale is not available (thanks to Pascal
    Terjan for the hint).

commit 50485e2fe6c7d84caf9a7160c3e372ef468ddd19
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jan 24 11:02:07 2007 +0000

    added simple hash

commit 54f782e885e7baec2f2a51af92d82207df24c02b
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Nov 18 10:34:26 2005 +0000

    unlink "xs_disabled" with "make clean" (thanks to Peter Eisentraut)

commit 1e82f1773f1f1976a6bfc38ff20a833f292ba3c9
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Sep 27 23:41:26 2005 +0000

    updated

commit 1155e2f0e2aa584bc1eae3166a1dcf2e1a90109e
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Sep 27 23:33:28 2005 +0000

    updated

commit 0822a0a942d15ff1bb534618ff09551a3173ba65
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Sep 27 23:33:10 2005 +0000

    minor revision

commit 94916ec93dfeed975096b753bde0b1162490b4c4
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Sep 27 23:29:37 2005 +0000

    bumped version number to 1.16

commit 77204847225ac24848851c490ab016ac9b4c0783
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Sep 27 23:25:40 2005 +0000

    allow call to textdomain without argument

commit be7db9db776ec4b3b555286f2155349195c12eea
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Sep 27 23:16:23 2005 +0000

    fixed typo that prevented xs tests from being run

commit 7734da97cbda7d15fe58ac4fd85960288dc7e41f
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Sep 27 23:11:23 2005 +0000

    refactoring: change argument order for callback

commit c4505ed7d2847332ed540a68a9e6bb502c9f0bfa
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Sep 27 21:40:37 2005 +0000

    implemented turn_utf_8_on()

commit bbfc9736b0b4e002ac96f6a149a79c7008983326
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Sep 27 18:53:34 2005 +0000

    added function bind_textdomain_filter

commit dc09a1dc4c6fab5f45843fc119ee0bf9d206021e
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Sep 27 17:13:45 2005 +0000

    minor changes

commit 865ab6074a79dbc03762c934d84127a8d50ed344
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Sep 27 17:13:34 2005 +0000

    grammar

commit 67cfd4dbbafbfd77208541ec534d4502f47f574a
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Sep 27 17:12:42 2005 +0000

    updated

commit e6f084d85529b10017c87178f412dc49069c349c
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Sep 27 15:36:23 2005 +0000

    added FAQ

commit a42ee62abc20508b7db083a468dffd977c4a6a8e
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Aug 31 23:23:24 2005 +0000

    avoid running tests for obsolete XS versions

commit be318b5657805fd595085a4d4fc5e9d231da44ef
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Aug 31 23:22:39 2005 +0000

    updated

commit 98fb924198a4b257e8c6776d2692f86be3c81b01
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Aug 31 22:50:37 2005 +0000

    updated

commit d9449b19dc36a6967708646538652057f2cf9896
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Aug 31 22:48:39 2005 +0000

    bumped version number to 1.15

commit 322feedf5b7448cc970df0b00934a36d60e4e139
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Aug 31 22:47:57 2005 +0000

    - bug fix: Prevent users (for example the test suite) from loading an
      obsolete XS version, although a version mismatch was detected earlier
    - warnings about non-ascii message ids

commit 5e29992c8b208c345a37cc34471532ad4130c1c6
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Aug 31 22:45:16 2005 +0000

    hint for the courageous Solaris user

commit 9ae0d0184ae9bf75329035cc175a33664defcf72
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Aug 31 22:44:03 2005 +0000

    Solaris ...

commit 4c4993a7217b83428642557f7796a7243a166689
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Aug 31 22:41:31 2005 +0000

    Life is complicated under the sun, ain't it?

commit db256ddc07ea2153e21dad0a012d00ab9aeff89d
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Aug 31 21:21:30 2005 +0000

    workaround for misconfigured (Solaris) systems

commit f577142a27741af81adf13eb7873d3a56c0ced6d
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Aug 31 21:20:13 2005 +0000

    updated

commit bcc9454cd1a7f8cb54a2ac9dbdc9f4ba3cffe073
Author: Guido Flohr <guido@imperia.net>
Date:   Sun Aug 21 15:39:18 2005 +0000

    removed all.pot from sample directory

commit d6cd7f7348d867a1eb60cd0a780966426b71e4b1
Author: Guido Flohr <guido@imperia.net>
Date:   Sun Aug 21 15:38:30 2005 +0000

    bumped version number to 1.15

commit ecf0117aa4456bea51f8e9e300ed46a4b46eb848
Author: Guido Flohr <guido@imperia.net>
Date:   Sun Aug 21 15:35:38 2005 +0000

    updated

commit 498cca7e60c1f89f471a6238999cefc6262116fd
Author: Guido Flohr <guido@imperia.net>
Date:   Sun Aug 21 14:57:13 2005 +0000

    re-generated

commit 3e2e7bef39d6108c0e07f21d85f4eba9ee5d4cc2
Author: Guido Flohr <guido@imperia.net>
Date:   Sun Aug 21 14:55:49 2005 +0000

    - updated, Perl support for gettext should now be standard

commit 59dfcddb864df8e7ecdb90b140f0488538fe9d68
Author: Guido Flohr <guido@imperia.net>
Date:   Sun Aug 21 14:55:02 2005 +0000

    added comment abouut 8 bit message ids

commit 992740a078f92d91d35e0e7b41c1cee7de57c362
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Aug 16 15:44:34 2005 +0000

    not needed

commit 5aa56bfcee9ab542f840132a7389724dc48ef2c9
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Aug 16 15:44:04 2005 +0000

    msgid strings now come from libintl-perl, not from Crypt::Twofish_PP

commit 3c7b16132ec5dff6dd69827943510fe846d1ae2c
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Aug 16 15:38:00 2005 +0000

    should not be included in CVS

commit f570932a33933a1baddb97333526adf5f898e2c2
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Aug 16 15:35:00 2005 +0000

    Reference the files from the correct package.

commit 50f751e64f37461b3e4c9a80a0f9018aa5ee4335
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Aug 16 15:34:15 2005 +0000

    new command line parameters for xgettext

commit 405bd46deaef0e0ccd249f7cba1388bcb998fa44
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Aug 11 15:27:46 2005 +0000

    re-generated

commit 4d55c023f1ba0ba1823766c34c39ce4e84ffc455
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Aug 11 12:27:22 2005 +0000

    regenerated

commit f36208df3536056b31af04054c3d06cf5b25e897
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Aug 11 12:25:57 2005 +0000

    bumped version number to 1.14

commit 1fde19cf4c8c493983f904b5a2188ae9b6ae2b1a
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Aug 11 08:57:05 2005 +0000

    use correct linker flags

commit fa9d31d14d2bd1a4f88a6d7688aadd6a35b20626
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Aug 11 08:43:33 2005 +0000

    updated

commit 7f9cdcd5318bf68099dd543dea46207a7fb41a88
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Aug 10 21:08:17 2005 +0000

    bumped version number to 1.12

commit b2815ee57f017ed22c3440b5ec8f1815f0357442
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Aug 10 21:01:46 2005 +0000

    added feedback section

commit 5d393a03a91d54c50d237e25e7b717e6a767eaca
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Aug 10 21:01:30 2005 +0000

    updated

commit 3a4f51d516db453deb54ead6c10baea987074679
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Aug 10 21:00:48 2005 +0000

    updated

commit af37fcb6f22046231f4fe92aa16cac738c470c86
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Aug 10 20:20:04 2005 +0000

    avoid failures because of missing locale definitions

commit 20ef1b10a67afd1f46722cf36ac7e5f5b4851f5c
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Aug 10 17:50:41 2005 +0000

    allow to switch languages (thanks to Jan Kratochvil for the hint)

commit f1b49b1885ed3f3f17f36b5baea7c4171eb4fda4
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Aug 10 17:48:37 2005 +0000

    regenerated

commit 181f07046f0a676b465a510f83e71938a6be65f0
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Aug 10 17:48:13 2005 +0000

    Austrians have their own version of February.

commit 2a51cc2648b320b5ebcc802c774f71489b3522df
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Aug 10 17:47:39 2005 +0000

    added plural header

commit 88e965fbf1dd28a2820647fb2a82487159b0a041
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Aug 10 17:47:00 2005 +0000

    updated

commit 81e380315b45e43e94cec45fffb1ae3516052be3
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Aug 10 13:59:38 2005 +0000

    clarifications for changing the language via environment (solves
    issue https://rt.cpan.org/Ticket/Display.html?id=13957)

commit 344f02ecb88f8129eccfd07826014a3c80b46d6f
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jul 20 14:31:07 2004 +0000

    default textdomain is now determined by Locale::Messages::textdomain().

commit a5ab66861a7b05d485684f9066ba94666946db2e
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jun 11 11:13:37 2004 +0000

    bumped version number to 1.11

commit a3d794088c2bbc11c7498f970987f1e087a05bca
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jun 11 11:06:09 2004 +0000

    added proper headlines for manual pages

commit 98f5963e8b9830722565f3cfb3a741f95a9187a9
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jun 11 10:54:31 2004 +0000

    - add default directories /usr/share/locale resp. /usr/local/share/locale
      to search path if they exist (reported by Cao Hongija)
    - changed default textdomain to 'messages'
    - fixed warning that occured when the import() method is not properly
      called

commit 26eb04839a60d953aaded5412dbc227b408042de
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Apr 20 16:38:32 2004 +0000

    fixed vim line

commit 9faf482ad734c46a360fee8b9d4677d58199b9dd
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jan 15 13:50:47 2004 +0000

    Oops...

commit 68c44448609db9e52edff44f99f9eb868c4abb9a
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jan 12 12:27:53 2004 +0000

    removed dynamic_config (not recognized?)

commit a3487c002a66e51eba9358635ab75683a65ea11d
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jan 12 12:26:48 2004 +0000

    added dynamic_config

commit cc7de769f72df67886e7bbbf1706bc0a663fe5cf
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jan 12 12:09:50 2004 +0000

    added statement by Bruno Haible regarding MSVC 7.0

commit 00dfb762c987acfdca6977bf968ea789ace3a12c
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jan 12 12:08:14 2004 +0000

    added README.win32

commit a693a0b1bf41bd2f0c93ffd6bc7a04ba250f123c
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jan 12 12:07:41 2004 +0000

    new

commit de5efc61842f973d2c525417aba4ab3a30487ca4
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jan 12 12:04:29 2004 +0000

    fixed typo

commit 6c1bfb46ffa20f167a23d5cb48b46f2f874f7d33
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jan 12 12:03:42 2004 +0000

    bumped version number to 1.10

commit c50ccdb3092b31a9963b62c288e18a2f718b88e9
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jan 12 11:17:12 2004 +0000

    $LANG must be set in environment with $LANGUAGE

commit 1255ff1b1366b776b5dbf75ae57409986df79e51
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jan 12 11:16:28 2004 +0000

    use nl_putenv(), not %ENV

commit 8722d9ca0cb0d4890259de4e8eeeb4a539b56b84
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jan 12 11:15:43 2004 +0000

    - fixed prototype for _nl_putenv
    - use _putenv() instead of putenv() (educated guess)

commit 8e45c0258324514d6824f84f3d1f6ec56eabf054
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jan 12 11:14:13 2004 +0000

    updated

commit 08e57e925e718f8c59bc3d0016743f9ad8ba25df
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jan 12 11:13:56 2004 +0000

    renamed COPYING.LIB to COPYING.LESSER to prevent deletion for make clean

commit 00950623fa70045def4bd37552fde65ed398c357
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jan 8 19:50:36 2004 +0000

    compatibility tweaks for MS-DOS, use nl_putenv instead of %ENV

commit d01abac71b2835fdce00e6fb2acd8f9d5c96c2a3
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jan 8 19:49:23 2004 +0000

    fixed another typo

commit d64ce9d2fa5f8230ed64b9a75ee1bdfb134b44e7
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jan 8 19:12:10 2004 +0000

    fixed typo

commit 9710388858700f5911159d1422735c9a42af68e9
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jan 8 19:11:44 2004 +0000

    File::Spec required again

commit e950f5f52537c42fcfd7f6cd35dd76e6f29e8498
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jan 8 18:38:20 2004 +0000

    - let bindtextdomain() take care of normalized paths
    - compare normalized paths

commit 005d90374d2e7cb524d319d801fb9ce93d839269
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jan 8 18:09:17 2004 +0000

    do not use hard-coded locale identifiers in calls to setlocale()

commit 9904ca2a4056d036b2bfdffba8a81e4da24baff4
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jan 8 17:48:58 2004 +0000

    set OUTPUT_CHARSET for compatibility

commit 3952cce2b0598958409f667ed2b3f4f7e9f0e9c2
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jan 8 17:48:24 2004 +0000

    added META.yml

commit eca09230388485d45e111ae942518222cc367574
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jan 8 17:39:07 2004 +0000

    new

commit fb0b27bb167da74b7bc50698b3c252a8e11cc361
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jan 8 17:25:57 2004 +0000

    Happy New Year!

commit 96aff21b8d489c3a5360f899b974539f456bf997
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jan 8 17:24:22 2004 +0000

    File::Spec is required for the XS version

commit bef83e700741297244631b4a65647dd93b155231
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jan 8 17:20:11 2004 +0000

    new function nl_putenv() for MS-DOS ideosyncrasies

commit e49c26083e1ee949162158b3052970c64b900744
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jan 8 17:14:15 2004 +0000

    do not require the variable _nl_domain_bindings for building the XS version

commit d9c26134930b48cd3009ae0b2f1ab9f28af57ac0
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jan 8 13:32:48 2004 +0000

    convert directory to local convention for Locale::gettext_xs::bindtextdomain

commit fe782c9a491dafa748cf7e571ca32ac657d11bf3
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jan 2 18:18:08 2004 +0000

    moved tests/locale to tests/LocaleData

commit 529168ee39ffefde2e57804826b3320fbc0977f5
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jan 2 18:10:03 2004 +0000

    compatibility tweaks

commit 6cc50aa0c92e1cf2b9bfc854ad476da583f8a75a
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jan 2 17:55:15 2004 +0000

    moved tests/locale to tests/LocaleData

commit 8d210b1a89ba1ab0e0912dfbf77c95c1f4d241f1
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Dec 29 19:04:11 2003 +0000

    updated

commit e8c1de1158b55251fcc586e4ab65ad848d51fddb
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Dec 29 19:03:32 2003 +0000

    #re-generated

commit 96f3d464850482785064c410bdcc0554e9a2c59a
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Dec 29 19:02:57 2003 +0000

    updated

commit e8bf6a3bd0807fa37a4bc014d8e9ad193c9fd063
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Dec 29 19:01:00 2003 +0000

    - fixed pod typo
    - bumped version number to 1.09

commit b30d448b0ac915f8dc41e2897f6a20a271b57f3c
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Dec 29 19:00:19 2003 +0000

    use user supplied locale name when guessing character set

commit 650c5bf9e6afc65c6bfb7bfd5596b7f683f2df74
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Dec 29 18:59:33 2003 +0000

    check for correct XS version

commit c7dcfd1c58f4d578bed64286cffa050308492865
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Dec 29 18:53:51 2003 +0000

    *** empty log message ***

commit 359dee052afb8b3bb996a476e12e92d2d006e205
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Dec 23 15:22:58 2003 +0000

    - various corrections
    - newer Atari versions seem to place the euro sign at 0xde (not 0xee),
      thanks to Jo-Even Skarstein and Gerhard Stoll for the information

commit f8fcd9efc687d3652fa25777882c606da2e78542
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Dec 23 15:21:58 2003 +0000

    various corrections

commit 893ef72fa60a5bd710ad769eeb37f048ad3bd8a5
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Dec 23 15:07:50 2003 +0000

    updated to new Makefile logic

commit dd9ed652a7dff19f66ac3b4bcb6c8f758080f70f
Author: Guido Flohr <guido@imperia.net>
Date:   Sun Nov 30 18:47:39 2003 +0000

    #re-generated

commit 41aadaa48717ee8b1705514d49d732f00ef721db
Author: Guido Flohr <guido@imperia.net>
Date:   Sun Nov 30 18:47:20 2003 +0000

    deleted reference to unwritten docs on let.imperia.org

commit 671424282b2f7e4d6ca662765ca42c2988225af0
Author: Guido Flohr <guido@imperia.net>
Date:   Sun Nov 30 18:45:47 2003 +0000

    #re-generated

commit f1a607ba85734f66dbe101117cc4112877f695e4
Author: Guido Flohr <guido@imperia.net>
Date:   Sun Nov 30 18:45:15 2003 +0000

    bumped version number to 1.08

commit 8eb2d41c5dba3a1cd879e7ba69b6ce2257a40b3b
Author: Guido Flohr <guido@imperia.net>
Date:   Sun Nov 30 18:44:16 2003 +0000

    updated

commit 15a5e90cce1596d6c65f5ddd3d184956e28833e5
Author: Guido Flohr <guido@imperia.net>
Date:   Sun Nov 30 18:35:45 2003 +0000

    fixed bug #4512 on https://rt.cpan.org/

commit d3efb4df5baf9be1b3ef9042dbcc5ab54033c1e6
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Nov 28 16:47:53 2003 +0000

    # re-generated

commit d053ec4d5b7636f1dff68ee5807331afdd82e6da
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Nov 28 16:47:32 2003 +0000

    bumped version number to 1.07

commit 3c638d6f18a90de809c93218bb175f04e323cf40
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Nov 28 16:47:09 2003 +0000

    removed BUGS (only known bug should be fixed now)

commit 7ef5325f54f609d2eedc3dc4eb9f5b377c84bc66
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Nov 28 16:13:59 2003 +0000

    updated

commit 9dffdc0e8ed7f0f94f05f5ae2bab01267c36a061
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Nov 28 16:09:35 2003 +0000

    - only call I18N::Langinfo methods for validated locales
    - allow 'utf8' as an alias for charsets derived from locale ids

commit 6b678aed4ae34a7ac1a3fe88f7ed9e0f473edb53
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Nov 28 16:06:23 2003 +0000

    redirect configure output to config.log

commit ebad0a4a42b3b9d8a2658c2e1f81bea009213aea
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Nov 28 16:05:56 2003 +0000

    export turn_utf_8_off()

commit 5713cb3f8e80ecfe1a63b69c719c4a8e272e9df8
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Nov 28 16:05:17 2003 +0000

    removed debugging noise

commit 6cd2fd4d840fdc190897862ed911595ff9ad0e19
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Nov 24 18:14:43 2003 +0000

    updated

commit 6e295d894f295f21fb593b493e35ce39a340e739
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Nov 24 15:32:57 2003 +0000

    # re-generated

commit 82b1dcd960cdd6e44707e1a67ca44a799f16c513
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Nov 24 15:32:22 2003 +0000

    bumped version number to 1.06

commit b6304eddd6a8de78c15f7d8e578ffc2ab0648ed2
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Nov 24 15:32:01 2003 +0000

    added pod

commit 3d453667e0ce5fb73db6cffb01e15037e2ce391e
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Nov 24 15:31:45 2003 +0000

    updated

commit cb5f542294ed9e0b06884ed15a48723e4916de0e
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Nov 24 13:57:31 2003 +0000

    avoid warning without I18N::Langinfo

commit 768e462e68cf0ac11ded8fbbde2973e381f7c67b
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Nov 24 13:57:06 2003 +0000

    updated

commit e364d5cea8988411d722fba8e4a19ef5c4a9011f
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Nov 24 13:32:08 2003 +0000

    all package-dependent information now goes into one single file PACKAGE

commit 1b1ae257272061574a876cf237b9e41ab61b94bb
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Nov 24 13:31:35 2003 +0000

    do not include -liconv twice

commit 83afc89979ad580bd72397fef54e49e0e5471f15
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Nov 24 13:25:07 2003 +0000

    put all package-dependent information into single file PACKAGE

commit 9f7ce161d046cf3575a4ffb1871a79974e118cce
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Oct 10 15:38:09 2003 +0000

    check for version match (do not load stale XS versions at run-time)

commit 57d4868e6df338581cd5acf52255dc9af5efbe13
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Oct 10 15:15:07 2003 +0000

    # re-generated

commit c0a190824e3c2f6b0f35ac42995adfd0bb0ff8dd
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Oct 10 15:14:46 2003 +0000

    added

commit cec4989599c6fbc6a1ee7d3c50e9c31545563baf
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Oct 10 15:13:54 2003 +0000

    # re-generated

commit 7b532d29745f225f1c43db2b33ccd0b59aaed912
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Oct 10 15:13:04 2003 +0000

    bumped version number to 1.05

commit ef0fac1eaea213c7431528283021d7fc359eb7d6
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Oct 10 15:12:43 2003 +0000

    removed junk file

commit 40c92cd26258b01bbfb61003d6e4d505375d7312
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Oct 10 15:12:14 2003 +0000

    fixed compatibility problems with Solaris 8 and above

commit 518dcf13f47275c1765770cd8cb9e118e2e8865b
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Oct 10 13:03:51 2003 +0000

    removed Artistic

commit 7e74fc8464b6d1321ece5b66b67cac8b45e88c2e
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Oct 10 10:11:55 2003 +0000

    fixed typo

commit 7ce76b243624a7c0c771ebe3ac26c34cf0ddb6df
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Oct 10 10:10:47 2003 +0000

    obsolete

commit cebc8fd0efbd150844c443508b17a90829483e5c
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Oct 9 15:06:36 2003 +0000

    # regenerated

commit 3e054d33c8e198aeff1c323b3d47ce0eb5a9c6e6
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Oct 9 15:05:53 2003 +0000

    bumped version number to 1.04

commit a767a6eea5bc809fe757c1167ce46a670597a3cc
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Oct 9 15:05:24 2003 +0000

    updated

commit e08f698af8ee7997e808e531677a8d41bb488826
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Oct 9 11:35:02 2003 +0000

    updated

commit 0283847dbf6a57eb226f188b73210464f117a0d7
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Oct 9 11:34:48 2003 +0000

    - support for language chain syntax in $LANGUAGE
    - performance tweaks

commit a0e20cf2ab383e01bc8d65d09f366adb9c6e83e3
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Oct 9 11:34:20 2003 +0000

    clarification

commit 764256e92fc24d775a853b2e4c4bdce7c9eac864
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Oct 9 11:33:46 2003 +0000

    support for language chains in $LANGUAGE

commit 1ad559f4f6b178e6969e5a28b0b130080dc82d2e
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Oct 8 11:13:00 2003 +0000

    updated

commit 3fc5262f0ead23db4c94d7ff23f745d0f53fe31b
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Oct 8 11:12:52 2003 +0000

    do not use Encode's iso-8859-11 (broken in some Encode versions)

commit 6d8e3b013808aaa686b615c7cf7e8c0f2dbf9185
Author: Ingrid Graefen <ingrid.graefen@imperia.net>
Date:   Wed Sep 24 10:50:18 2003 +0000

    localize $@ with checks for availability of
    I18N::Langinfo and POSIX::LC_MESSAGES

commit f0fa2372159719b8c2745a4ccbd81ce1cb32d06c
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Sep 15 12:14:23 2003 +0000

    re-generated

commit fc93d014341a25aa0faacb69ffc664b0fe1e157a
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Sep 15 12:13:53 2003 +0000

    bumped version number to 1.03

commit 216fef571dbd8b2c3e4fdf07cfcf72dc4ee8a0b2
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Sep 15 08:21:45 2003 +0000

    alternative XS version

commit ff00ea58ab14732727847a83e8a066ea1cfe5439
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Sep 10 18:29:13 2003 +0000

    test file for gettext support

commit 8d3d9f71ea1fa6df176455863874ff83074768a3
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Sep 10 17:03:33 2003 +0000

    - switched from double license to single license (LGPL) in order to
      avoid licensing problems
    - fixed POD

commit 4345e730105c274c19192ecf0640b43e09d2dc9a
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Sep 10 16:27:22 2003 +0000

    workaround for broken Encode versions

commit f3e4106c7675e0ee072ad0d4493eb10d8d77448d
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Sep 10 16:26:40 2003 +0000

    changed from double license to single license (LGPL)

commit 9d767c894cf06d2700baeb1d33fa31c1db939f47
Author: Guido Flohr <guido@imperia.net>
Date:   Sun Sep 7 19:45:32 2003 +0000

    removed second block of emacs vars

commit d1871c2fe04f9f9c5d7ed4b3962c52e50df58199
Author: Guido Flohr <guido@imperia.net>
Date:   Sun Sep 7 19:44:56 2003 +0000

    pod errors

commit 53e58ef5f57303f3efeb5b84c31e00fd2fb7e593
Author: Guido Flohr <guido@imperia.net>
Date:   Sun Sep 7 19:44:27 2003 +0000

    updated

commit 56c15164c5b2176a430da6221374fefe833fdc1a
Author: Guido Flohr <guido@imperia.net>
Date:   Sun Sep 7 19:44:10 2003 +0000

    new section on informational files

commit 184dab7477de28b8313bac52582aee519047e313
Author: Guido Flohr <guido@imperia.net>
Date:   Sun Sep 7 19:43:44 2003 +0000

    new

commit ef6aed6b7842f46f5174de5cdee4ce3a6fed1a5d
Author: Guido Flohr <guido@imperia.net>
Date:   Sun Sep 7 19:43:21 2003 +0000

    fixed invocation of xgettext

commit e7b9dc6618a2e0809458de593e5abb41133f8fab
Author: Guido Flohr <guido@imperia.net>
Date:   Sun Sep 7 19:42:18 2003 +0000

    get rid of dependency on ExtUtils::Command::MM

commit 7c4e46716ca5e34372f1051fdecad36553634d6d
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Sep 4 16:13:55 2003 +0000

    removed double emacs var block

commit 6d6c4af13370483d18c2de4476dd937a67e9c37f
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Sep 4 16:09:13 2003 +0000

    # re-generated

commit ec5d609715e823a61c5df3380aef72e5a0c11995
Author: Ingrid Graefen <ingrid.graefen@imperia.net>
Date:   Thu Sep 4 16:05:20 2003 +0000

    - removed obsolete line

commit 361a5236a7c24aac888683944a1bee1d18dfdb21
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Sep 4 16:00:57 2003 +0000

    # re-generated

commit 008d2b8c333c5cbfa76790626d6cedbb4b92de55
Author: Ingrid Graefen <ingrid.graefen@imperia.net>
Date:   Thu Sep 4 15:58:26 2003 +0000

    - untaint of plural header
    - Perl 5.005 compatibility

commit c4492a553eec9830f3a8379360fae4cf2b1a6c55
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Sep 4 15:24:31 2003 +0000

    # re-generated

commit 7eebc12ce0fb1e96d9a6e46112ed40ffd7b8b295
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Sep 4 15:23:56 2003 +0000

    bumped version number to 1.02

commit 6090fd0d21f530751dfe91233c4cc361457779cb
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Sep 4 15:23:32 2003 +0000

    updated

commit 0b03a01030c4ca1d53769e44433a6e35a08383fd
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Sep 4 13:31:25 2003 +0000

    added plural rules for de_AT to test catalog

commit df4d16b647c0e3825863896daa45eaa790505b59
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Sep 4 10:48:25 2003 +0000

    compatibility with GNU gettext for systems w/o /usr/share/locale

commit 12ef91fca08423bffe54cee30fbeacdeb216b990
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Aug 19 18:49:46 2003 +0000

    # updated

commit 5cb0bdee4184a19375e2584dd0dc981514e26ad0
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Aug 19 18:49:10 2003 +0000

    bumped version number to 1.01

commit 20d9c39bd2901d78b0a747fdab50bf9d59198990
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Aug 19 18:48:49 2003 +0000

    deleted reference to README-MSDOS

commit 95179cc5c5873c422a71ed8946bfb77382a43061
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Aug 19 18:44:23 2003 +0000

    bug report from cpan-testers

commit 3c20614f7df0cf60c138f4b367e98f44003448c0
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Aug 19 18:38:29 2003 +0000

    requires ExtUtils::Command::MM for test wrapper

commit ea211a277262df634e6f32e3c1dac7224132f434
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Aug 19 18:37:46 2003 +0000

    fixed ISO-8859-11 recoding

commit 3b8457d6a514d8db6afffa6282ffaa08e03401d5
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Aug 19 17:25:24 2003 +0000

    fixed Thai character sets

commit a68d820a33900db3aa48d95b539bc6255cfb1fd2
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Aug 19 16:52:21 2003 +0000

    updated/added

commit 1c9283cf3f6797dd7a5bca3e01f3803ed93dfc9b
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Aug 19 16:49:45 2003 +0000

    obsolete

commit 58f83769f7edf49e68b61bda42ff5d4eb9197e63
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Aug 19 16:48:52 2003 +0000

    workaround for broken or limited shells to allow testing
    (thanks to DH <crazyinsomniac@yahoo.com> for the hint)

commit e60503765995355518e16a3def7cda5c22bb8611
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Aug 19 16:47:09 2003 +0000

    - directory t/ moved to tests/

commit ee5414695bbebf2d91050a83d9dd5fb0551b3173
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Aug 19 16:45:01 2003 +0000

    moved to directory tests

commit 0c8c59e00b0102215a37a4e82df62a02bdf90c43
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Aug 19 16:43:15 2003 +0000

    merged from norma branch

commit adf4ba4f5b6c4004f89d49778314b1bfffd4a6c4
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Aug 11 09:52:55 2003 +0000

    fixed pod typo (reported by Mike Castle <dalgoda@ix.netcom.com>)

commit 96f420fafa5f4d088e4fff432a35a97afe60aab2
Author: Ingrid Graefen <ingrid.graefen@imperia.net>
Date:   Thu Aug 7 15:53:33 2003 +0000

    _recode must return a true value
    if Encode::from_to returns 0

commit c8f0f3c0074cb71d25229eb4fdf74014201ad224
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Aug 7 10:57:06 2003 +0000

    # re-generated

commit a4dba9e4e5f86a1e8fa57c63762fcc170ff223a3
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Aug 7 10:56:21 2003 +0000

    renamed variables

commit 68df5cbf6b55fe471658ea27f93db438e99e0f73
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Aug 7 10:54:53 2003 +0000

    bumped version number to 1.00

commit b93c5b371a86837d0fbfd9c8eed6491ac316a012
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Aug 7 10:38:59 2003 +0000

    documentation tweaks

commit 3665491a99ca81562a52b862c2c703374835a7ef
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jul 28 12:57:02 2003 +0000

    # regenerated

commit 57c4fee411ab325f1ed73b737d3fbcea4ef1d116
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jul 28 12:54:03 2003 +0000

    bumped version number to 0.14

commit 4d3bdf34bc5ec6559860df1c904cc2053bd37401
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jul 28 12:51:55 2003 +0000

    fixed web addresses

commit d3e20ac01ced844edbe639ea4e2236b6831ced23
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jul 28 12:21:32 2003 +0000

    # re-generated

commit 04a15f1f974fca8fc1a370fac108b2e36c266d99
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jul 28 12:20:52 2003 +0000

    added directory sample with a self-containing example

commit a82f2fcf6af8be61125d20bad2f49d5fd8a6b1c5
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jul 28 12:16:27 2003 +0000

    updated

commit a1d24d00b9510a3cedee528572077fb262d5c776
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jul 28 12:15:36 2003 +0000

    # fixed Emacs variables

commit 40a5865da495a90f1d496c1ac4dc3d64861cd62c
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jul 15 12:09:21 2003 +0000

    # re-generated

commit d7808e3b6f27b18b8a63737fc9c0794ff08686c2
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jul 15 12:07:43 2003 +0000

    updated

commit 9b731aa0c6e1fa61c0e9b61ec5504725bc594d1d
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jul 15 12:02:02 2003 +0000

    - changed placeholder format to {curlies}
    - bumped version number to 0.13

commit 268e42cb12c8d04fdccdc7ade4a99aebcbcc10fa
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jul 14 15:46:57 2003 +0000

    # updated

commit b4dcb8940f3fe3d02a14edc41b580a0a62354f7b
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jul 14 15:36:02 2003 +0000

    early exit if no directories for catalogs exist

commit 8d3a99f9f1d910a18886908ce53323295da723f3
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jul 14 15:11:51 2003 +0000

    updated

commit 3997b1b574d53fda6dc05f04339fd5fc20a75747
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jul 14 15:11:28 2003 +0000

    return converted string in utf8_off

commit 39bada7aa9706e7e4fb48230bf4fcbf241871daf
Author: Ingrid Graefen <ingrid.graefen@imperia.net>
Date:   Mon Jul 14 14:20:51 2003 +0000

    syntax errors

commit 88acda2edbfe93d5702249d72b66bcae36aee0fa
Author: Ingrid Graefen <ingrid.graefen@imperia.net>
Date:   Mon Jul 14 12:24:57 2003 +0000

    performance tweaks

commit 6111f29e4703fef00ac3e7caaac55ae73803f592
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jul 14 11:02:04 2003 +0000

    fixed fatal typo

commit 0a05e4410c5be5e16d9d035728eef6de59a6c738
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jul 14 10:46:36 2003 +0000

    - use nl_langinfo() if available to determine output charset
    - variable names

commit 2f699ffc87fef6a540cc83b8303c1c033b1cb8e9
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jun 30 19:12:56 2003 +0000

    compatibility tweak, (SuSE rpm perl-5.8.0-104!)

commit 306ac291f3083066df40cdbe58631c5ddb6bc8d6
Author: Ingrid Graefen <ingrid.graefen@imperia.net>
Date:   Fri Jun 27 10:25:03 2003 +0000

    fixed pod error

commit 0a0417c69516c745e649fd5925813794c0250a23
Author: Ingrid Graefen <ingrid.graefen@imperia.net>
Date:   Fri Jun 27 10:24:46 2003 +0000

    fixed pod errors

commit 4e1c5ae5d94a830fae074826dac215ca14442d78
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jun 27 10:19:46 2003 +0000

    fixed for new conversion interface

commit 6b69d5e2064d5d6f3d87d88e3cd4c0a7ee7a63b0
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jun 23 15:24:36 2003 +0000

    ChangeLog

commit 01ed8feeacb54bf603f2717586639d8a599c8c17
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jun 23 15:20:12 2003 +0000

    *** empty log message ***

commit 96d87f2dcb97922b9645bb804b3b69c4ec9a23f0
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jun 23 14:48:32 2003 +0000

    # updated

commit 31a8f9c4fa5d8b2f812e24f116e54c571042285d
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jun 23 14:32:55 2003 +0000

    - avoid intermediate function calls
    - renamed internal functions to initial values in order
      to avoid unintended similarities to GNU implementation

commit 69ed45f5f73e54268a8dc4f39bc1cf820d1d587e
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jun 23 11:34:54 2003 +0000

    updated

commit a5c6b2712dd0e9a57c703abb45d3925040cfde95
Author: Ingrid Graefen <ingrid.graefen@imperia.net>
Date:   Mon Jun 23 11:30:35 2003 +0000

    - use strict;  moved up
    - no bare words after 'use base'

commit cec2e6e87467e151176312fd539dee98ce3b0f9d
Author: Ingrid Graefen <ingrid.graefen@imperia.net>
Date:   Mon Jun 23 11:11:02 2003 +0000

    fixed typo in pod

commit 8743705b71f87e68f936fbc76f45a40883c57802
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jun 23 10:14:43 2003 +0000

    leave undefined placeholders untouched

commit c203e5e23887106038cadfec4fd951752f19c331
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jun 20 15:06:16 2003 +0000

    updated

commit 1adc5925e99f305be7407d4c84f4944d36cc095d
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jun 20 15:05:46 2003 +0000

    bumped version number to 0.11

commit 044853a39a0332d2904114247a23e82350a5bdda
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jun 20 15:04:35 2003 +0000

    new

commit 80939fe361be4859d75339f11975c38ddde4b106
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jun 20 15:03:46 2003 +0000

    - added ChangeLog
    - added KOI8-RU files

commit c731fee3bcf2f0eae541be0d46fabbdfe239b119
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jun 20 15:03:11 2003 +0000

    also exclude x-shell scripts from distcheck

commit ffeb0650bf5d552d92b01f2e3431f4d814c2dfa2
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jun 20 14:58:30 2003 +0000

    always turn utf-8 flag off for messages

commit 7191673caec356ab88b36b450fcdc8f15d63e03c
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jun 20 12:06:14 2003 +0000

    untaint the plural header code

commit a5b54fe29ab126f600ada8edb7d730e988d718fd
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jun 20 10:29:09 2003 +0000

    avoid re-loading of message catalogs

commit e7b92e62a7e289c27fdaea20850700d5b223b93f
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jun 16 12:05:25 2003 +0000

    $optional_conversion may *only* contain the preferred MIME names!

commit 50530bcb75b950f5aa8f5c75b9eb629fe71eeb0d
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jun 16 11:53:28 2003 +0000

    bugfix for Perl without Encode

commit 05f9510c68742099b81456e49506a8d72e99b2cb
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jun 16 11:44:48 2003 +0000

    - now replaces with Unicode replacement char 0xfffd
    - fixed test

commit e4755fc26758b71acdc222414077f0bac2f17234
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jun 16 11:16:48 2003 +0000

    - general clean-up
    - added and fixed documentation
    - added MANIFEST.SKIP

commit e076acaba67b7677757dec4dae7a63353340c3e1
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jun 16 11:16:10 2003 +0000

    removed unmaintained benchmark test

commit d7e9a9870aef519f1d5091501f1e883dd004e056
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jun 16 11:15:08 2003 +0000

    general clean-up

commit 00b97adc00f2bd654acace85aedc838a98abe890
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jun 16 11:14:23 2003 +0000

    removed iso-ir-{197,209}

commit a30913d978bb5f48e4a35c765a367f05092245cf
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jun 16 11:13:48 2003 +0000

    utf-8 should now pass all tests, even with Perl 5.8

commit ae7a4fef7ceedba6ae1b3f35ac9a051ac716e512
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jun 16 11:11:42 2003 +0000

    Mac is now Macintosh

commit b7c6bdb78bd4f5f221d5561083473fc47f03115e
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jun 16 11:10:51 2003 +0000

    added KOI8-RU

commit 20a30c0e0096e3178ba9f9ce38a3c1331372601b
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jun 16 11:10:06 2003 +0000

    NextStep encoding added

commit 6da6f07d7a77f6c51ae8710d6bd2b8f593cc6f65
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jun 16 11:08:50 2003 +0000

    Macintosh encodings added

commit f7996def2a56c714a7786a3bf9cbfa27ede7a428
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jun 16 11:07:41 2003 +0000

    renamed ASCII to US-ASCII

commit f7ea5a922e569e9906535c661da72e5786be7126
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jun 16 11:05:50 2003 +0000

    wrapper around converters realized with Encode(3pm)

commit 41f6e53fc6a3e9cc22e831ba5647710bc47a7392
Author: Guido Flohr <guido@imperia.net>
Date:   Sun Jun 15 14:50:34 2003 +0000

    renamed X-ATARI-ST and X-ATARI-ST-EURO to ATARI-ST and ATARI-ST-EURO

commit ca92baabd0cd69464e6f407da322cc538819cb47
Author: Guido Flohr <guido@imperia.net>
Date:   Sun Jun 15 14:35:34 2003 +0000

    - added and updated lots of documentation
    - use Encode if possible
    - added prototypes to procedural interfaces
    - regenerated conversion tables
    - removed multi-byte encodings

commit 53405b2608a2fac12e890402efa8469094fcc7c0
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jun 13 11:40:10 2003 +0000

    vim line

commit 9bf7c2df01b2c62e8f29ff5e589d0e589780c459
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jun 10 16:31:33 2003 +0000

    added README-MSDOS

commit c8d77e3b994753e8a6775d8fa1243844c3569976
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jun 10 16:06:39 2003 +0000

    moved version information to Locale::TextDomain

commit 464afe2ed471e3c7feabf70bf6c1d8d6ad54734d
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jun 10 16:06:05 2003 +0000

    truth value

commit 878397695a2e862c2d97a4040199cd0d77d5f699
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jun 10 16:05:30 2003 +0000

    new

commit ee0e87c61cac0a564f66d432db08cd649a433295
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jun 10 16:05:06 2003 +0000

    get version from Locale::TextDomain

commit 1968aeee33620838fb512ef93a41663e592f69c7
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jun 10 16:04:45 2003 +0000

    - added Locale/TextDomain.pm
    - t/02ms_kanji.t was forgotten

commit a2a20ccf6991ddf0d00800b2c9beba3b650a6ece
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jun 6 13:16:03 2003 +0000

    special notes for MS-DOS

commit 67a81d3b178fde8a1b9cebf18587cd99da84aceb
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jun 6 13:02:07 2003 +0000

    compatibility tweaks for MS-DOS

commit cade28e9ea5c68dcedfd97fd06b28c173d2b8b2b
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jun 6 11:38:33 2003 +0000

    - optimized CJK multi-byte encodings

commit acad1f5789d355f1ccaaa8ddae972aeb1307c734
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jun 5 20:08:39 2003 +0000

    fixed EUC-TW and optimized it, attention: U+5344 has three representations

commit a1ead8c0135032023be2c854137a116e0101c85a
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jun 5 18:28:35 2003 +0000

    removed superfluous inner parentheses in conversion re

commit d44bbd002f281e5c6ffe7d850ee94384e61925fc
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jun 5 18:28:00 2003 +0000

    optimized conversion

commit 0cb31a84d820e2e14c607e9f58506acdd38e8597
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jun 5 18:14:18 2003 +0000

    optimized conversion

commit 5315514fc8cb21bab5255b2a3a4aef35878a45aa
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jun 5 18:13:53 2003 +0000

    more optimizations

commit 869709710d5ad48462a36c82dbaca661920ba788
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jun 5 18:10:01 2003 +0000

    compiled regular expression with modifier s

commit 58e6ea25e5dfae1a71a143fa9ec3d4d26a99b0e1
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jun 5 18:02:56 2003 +0000

    removed debugging code

commit 5390ffe2a29736d25c82d080375b52db4827f6d0
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jun 5 18:02:32 2003 +0000

    optimized conversion

commit d1e3771bd167832d3349031207848f2ace4bba1c
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jun 5 17:32:14 2003 +0000

    - insert empty lines in contiguous areas of large PODs
    - support for Korean CP1361 (JOHAB)
    - support for Korean CP949 (UHC)
    - support for EUC (JP, KR, and TW)

commit 36ce0e9f988952369c0c89cab03e3435f68cbc01
Author: Ingrid Graefen <ingrid.graefen@imperia.net>
Date:   Thu Jun 5 11:39:16 2003 +0000

    Perl 5.005 issue (base.pm Bug)

commit 739fce023a60fd18ca7e50d223d3a21eb5b96226
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Jun 5 10:40:59 2003 +0000

    - support for MS_Kanji (Shift-JIS)
    - support for Big-5 (traditional Chinese)

commit c2662e7c37fd84233983445ba75b1bb18181e371
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jun 4 12:20:02 2003 +0000

    updated origin information for ISO-8859-11

commit 1f375bc8906b90307db9d9043628bea6a592ad95
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jun 4 12:16:44 2003 +0000

    support for ISO-8859-11

commit bd618160b93b653e19bc763dac45df40906a4980
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jun 4 12:16:27 2003 +0000

    extract version from gettext_pp, not Recode

commit d2da8e1a2c70a1e4394c383a9242cddcc3bf0554
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jun 2 11:16:54 2003 +0000

    - support for Perl 5.8
    - vim lines
    - emacs variables
    - changed copyright statements
    - general update

commit 65f43781c9ebf594361bb862ea1bf4ece0d5f7fa
Author: Ingrid Graefen <ingrid.graefen@imperia.net>
Date:   Mon Jan 20 14:10:08 2003 +0000

    eval '&POSIX::LC_MESSAGES' only
    if $POSIX::{LC_MESSAGES} exists
    (avoiding calls to Carp and
    avoiding problems with ptkdb step over)

commit 25bc1cbbfed4629006bbec81b4a309d1ab9c3a61
Author: Oliver Hoos <oliver.hoos@imperia.net>
Date:   Fri Jan 10 15:55:16 2003 +0000

    fixed for new directory structure

commit 3fc04968a83ea4c7b74313887c1511480e6ad2b1
Author: Ingrid Graefen <ingrid.graefen@imperia.net>
Date:   Tue Oct 22 11:20:44 2002 +0000

    no BAREWORD after use base

commit 47f38f484c2eba15acb462fded7c8c081565fde5
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Aug 16 10:49:20 2002 +0000

    unchaos

commit 8dda79a6ed1af6cea207b0afcf40a27bc217950a
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Aug 16 10:12:54 2002 +0000

    unchaos

commit cadd690554dac17f81d1f38796e4e5872fe25de7
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Aug 16 10:09:39 2002 +0000

    moved modules to subdirectory lib

commit 46faed612486eee2a1b14f43c6f4c361b8ffc07c
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Aug 1 13:57:32 2002 +0000

    updated

commit 192f36f5efd191951d797d4912a41cefd00502ed
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Aug 1 13:55:59 2002 +0000

    version number to 0.05

commit b00f6ffe7f829f2a2c082efab39fe117a1111946
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Aug 1 13:55:13 2002 +0000

    implemented decoding of UTF-8 for Perl < 5.6.0

commit 70abf795c325868653fd84c3b9a436797775f8d2
Author: Guido Flohr <guido@imperia.net>
Date:   Thu Aug 1 13:54:15 2002 +0000

    forgotten to add

commit 4b6668c30ede4c69b56d88cae2fd0441eae52a9b
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jul 16 12:53:36 2002 +0000

    do not list unsupported charsets in getCharsets().

commit 961f20161e02f583f5709c8400e89371c0e104e6
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jul 16 12:52:42 2002 +0000

    renamed Iconv to Recode

commit ff28291c69239a3f3648187542de1250386cf913
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jul 15 11:00:40 2002 +0000

    updated

commit 2b1392ba6c82a825cc98a23b4f306e9114f19759
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jul 15 10:59:47 2002 +0000

    - fixed retrieving of plural forms from mo files
    - implemented bind_textdomain_codeset
    - fixed setlocale() inquiries
    - more Locale::gettext compatibility

commit 0e81e7eb6ae407e08146ea5a8c40e937780915e9
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jul 15 10:58:03 2002 +0000

    - now requires (imaginary) Locale::gettext 2.00
    - also require this Locale::gettext version with select_package
    - fixed warning in select_package

commit f16038bae90daff6ee46d4758c8f854eac897295
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jul 15 10:56:43 2002 +0000

    renamed Iconv to Recode

commit 2886f2c8a534f9b05cab22fd5fd8f3ae9f416921
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jul 15 10:56:13 2002 +0000

    added tests for gettext library

commit 9250e1d90ce2d743becf5f439f4dfdc8f334d50a
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jul 15 10:54:24 2002 +0000

    renamed from Iconv to Recode

commit 34291ce70f605500344751b4cc6a046222149cec
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jul 15 10:53:28 2002 +0000

    - added tests for gettext library
    - put numbers in front of file names (ordered tests)

commit 5065010445a7f2c5e9cfdef7ed793d72699bb0d9
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jul 15 10:52:31 2002 +0000

    added text for gettext library

commit f3f7503ba6bed53a43abf18809833fced5d1344e
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jul 12 18:01:01 2002 +0000

    removed reference to my home directory

commit 5b8417b1f581acabe5591bc95c4c082a0b73f54c
Author: Guido Flohr <guido@imperia.net>
Date:   Fri Jul 12 18:00:37 2002 +0000

    new charsets UTF-8 (requires Perl >= 5.6.0) and ASCII.

commit 259d37b4dc8d143e8a91a3382e365af71d4516a1
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jul 10 19:26:08 2002 +0000

    - bumped version number to 0.03

commit a27c7517602a7d5a96a425dec020af56fb83bfa1
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jul 10 19:25:39 2002 +0000

    - properly check for invalid gettext versions

commit d97d1a8b7f0bb871906cdd25b8bb172b76dd71d9
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jul 10 19:25:06 2002 +0000

    run also against Encode(3pm) in perl 5.8.0

commit d1dfd8200ea1eb91efed39094e9808c20ab801bb
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jul 10 19:05:05 2002 +0000

    - added vim modelines

commit 0f68b5945ecee7b495648059979db7bdd562ecfc
Author: Guido Flohr <guido@imperia.net>
Date:   Wed Jul 10 19:04:23 2002 +0000

    - (hopefully) optimized _recode()
    - vim modelines

commit fef9134f65d1e54e1182b0903b10ac0be2fe59de
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jul 9 19:13:34 2002 +0000

    now really removed CVS from MANIFEST

commit f4ddc829da39a32d5afcca15a7c2bfa7a56cf0ef
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jul 9 19:07:44 2002 +0000

    new file

commit 0227dcaf4f0684773e5b5b2401bde921ff0499c4
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jul 9 19:04:43 2002 +0000

    new files

commit 57f0373d16c0ddf8ea7b030c5a753a9a10d573aa
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jul 9 19:04:10 2002 +0000

    unnecessary optimizations from module generation :-(

commit 273694b5d0a43402ecee5e2467d896bf5c4583be
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jul 9 19:03:12 2002 +0000

    bumped version number to 0.02

commit e68dfd343c5db95300ccfdd76d841695c9867cf1
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jul 9 19:02:15 2002 +0000

    performance optimizations

commit 86bc4834210d64d0516631b154f47224dfd3880b
Author: Guido Flohr <guido@imperia.net>
Date:   Tue Jul 9 19:01:40 2002 +0000

    - removed CVS from manifest
    - added Locale/Messages.pm and Locale/gettext_pp.pm
    - added test-benchmark

commit 26b9ad8d073614da5fa98457d38efa0a5e92c14b
Author: Guido Flohr <guido@imperia.net>
Date:   Mon Jul 8 19:19:59 2002 +0000

    Initial revision
